"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:tea/compiler' }"

"{ NameSpace: Smalltalk }"

TType subclass:#TAutomaticType
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Tea-Compiler-Types'
!

!TAutomaticType class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!TAutomaticType methodsFor:'comparing'!

= anotherType
    ^ anotherType class == self class

    "Created: / 23-09-2015 / 16:26:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

hash
    ^ self class hash

    "Created: / 23-09-2015 / 16:26:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TAutomaticType methodsFor:'printing & storing'!

printWithoutAnglesOn:aStream
    aStream nextPutAll: '#auto'

    "Created: / 23-09-2015 / 16:27:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TAutomaticType methodsFor:'testing'!

isAutomaticType
    ^ true

    "Created: / 23-09-2015 / 16:32:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

