"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:tea/compiler' }"

"{ NameSpace: Smalltalk }"

RGMetaclassDefinition subclass:#TMetaDefinition
	instanceVariableNames:'binding'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Tea-Compiler-Model'
!

!TMetaDefinition class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!TMetaDefinition methodsFor:'accessing'!

binding
    binding isNil ifTrue:[ 
        binding := TClassBinding clazz: self.
    ].
    ^ binding

    "Modified: / 02-09-2015 / 16:02:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TMetaDefinition methodsFor:'instance variables'!

addInstVarNamed: aString
    self shouldNotImplement

    "Created: / 31-08-2015 / 15:40:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

addInstanceVariables: aCollection
    self shouldNotImplement

    "Created: / 31-08-2015 / 15:40:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

instanceVariableNames: aStringOrCollection
    aStringOrCollection isEmptyOrNil ifTrue:[ ^ self ].

    self notYetImplemented

    "Created: / 31-08-2015 / 15:40:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

